﻿* Encoding: UTF-8.
* Scheinbarer WW-Effekt von X und M auf Y in einem Modell mit quadratischem Effekt von X auf Y.

set seed 13.

input program.
+ loop #i = 1 to 500.
-    compute X = uniform(1).
-    end case.
+ end loop.
+ end file.
end input program.

compute X2 = X**2.
compute Y = 2 + X2 + normal(0.3).
compute M = X + normal(0.3).
compute XM = X*M.
execute.

GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y
  /MISSING=LISTWISE.

* Korrektes Modell.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Y
  /METHOD=ENTER X2.

* Scheinbarer WW-Effekt.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Y
  /METHOD=ENTER X M XM.
