* Encoding: UTF-8.

* Simulation eines bilinearen Interaktionsmodells mit einem metrischen Regressor und einem dichotom-kategorrialen Moderator.

set seed = 1.

input program.
+ loop #i = 1 to 300.
-  compute X  =  uniform(1).
-  recode  X (0 thru 0.5 = 0) (0.5 thru 0.8 = 1) (0.8 thru 0.9 = 2) (0.9 thru 0.95 = 3) (0.95 Thru 1 = 4).
-  compute G  =  uniform(1) >= 0.5 + X/10.
-  compute Y =  1  + 2*G*X + normal(5).
-  end case.
+ end loop.
+ end file.
end input program.

FREQUENCIES
  VARIABLES=X, G
  /stat=mean
  /barchart.

CORRELATIONS X WITH G.

compute  GX = G*X.

FORMATS X G (f1.0).
VARIABLE LEVEL G (NOMINAL) X Y GX (SCALE).

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER X G GX.

GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y BY G
  /MISSING=LISTWISE .

* Schtzung des bedingten X-Effekts in der zweiten Gruppe durch Transformieren von G.
recode G (0=1) (1=0) into GR.
compute  GRX = GR*X.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER X GR GRX.


* Schtzung des gewichtetet gemittelten bedingten G-Effekts durch. gew. Zentrieren von X.
compute XWZ = X - 0.906667.
compute GXWZ = G * XWZ.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XWZ G GXWZ.


* Schtzung gewichtetet gemittelter bedingter Effekte durch gew. Zentrieren von X und gew. Effekt-Kodierung  von G.
* -0,685393258 = -n1/n0.
recode G (0 = -0.685393258) (1 = 1) into GWE.
compute  GWEXWZ = GWE*XWZ.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XWZ GWE GWEXWZ.


* Schtzung eines ungew. Mittels der G-bedingten X-Effekte (MBEU(X)) durch ungew. Effekt-Kodierung von G.
recode G (0 = -1) (1 = 1) into GUE.
compute GUEX = GUE * X.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER X GUE GUEX.


* Schtzung ungew. gemittelter bedingter Effekte durch ungew. Zentrieren von X und ungew. Effekt-Kodierung von G.
compute XUZ = X - 2.
compute  GUEXUZ = GUE*XUZ.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XUZ GUE GUEXUZ.
